Bug 173717 - konsole has an issue with fonts, gnome-terminal not
konsole has an issue with fonts, gnome-terminal not
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-19 08:08 EST by Radek Bíba
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-04 10:24:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
mc in gnome-terminal with LucidaTypewriter (17.56 KB, image/png)
2005-11-19 08:08 EST, Radek Bíba
no flags Details

  None (edit)
Description Radek Bíba 2005-11-19 08:08:30 EST
Description of problem:
Midnight Commander (mc) has a new feature, it displays scrollbars. They are
made of a few unicode characters. The thing is, not all fonts contain those
characters so konsole displays placeholder squares instead of them. But
gnome-terminal doesn't! Perhaps it loads the missing characters from another
font, I don't know.

Version-Release number of selected component (if applicable):
kdebase-3.4.2-0.fc4.1

How reproducible:
Always

Steps to Reproduce:
1. launch konsole and also gnome-terminal
2. set font to LucidaTypewriter in both of them
3. launch mc in both of them
  
Actual results:
scrollbars' arrows and drawbars are displayed incorrectly in konsole while
correctly in gnome-terminal

Expected results:
everything is displayed correctly in konsole. I know, LucidaTypewriter really
doesn't contain those characters but gnome-terminal _can_ handle it.

Additional info:
Please see attachment 121249 [details] (mc in konsole with LucidaTypewriter) and attached
screenshot.
Comment 1 Radek Bíba 2005-11-19 08:08:31 EST
Created attachment 121261 [details]
mc in gnome-terminal with LucidaTypewriter
Comment 2 Christian Iseli 2007-01-19 19:08:51 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 3 Radek Bíba 2007-02-04 10:24:52 EST
Not seeing this anymore with kdebase-3.5.5-0.4.fc6 and mc-4.6.1a-35.fc6.

Note You need to log in before you can comment on or make changes to this bug.